<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('./partials/head.ejs') -%>

    <link rel="stylesheet" href="/stylesheets/login-register.css">
    <link rel="stylesheet" href="/stylesheets/dashboard.css">
</head>

<body>
    <div class="setting">
        <!-- profile pic and username -->
        <div class="profile-username-setting">
            <form action="/profileUpdate/uploadAvatar" method="POST" enctype="multipart/form-data">
                <div class="avatar-wrapper">
                    <img class="profile-pic image-cropper" src=<%- avatar %> />
                    <div class="upload-button">
                        <i class="fas fa-cloud-upload-alt"></i>
                    </div>
                    <input name="avatar" class="file-upload" type="file" />
                </div>
            </form>
            <h4 class="text-center">
                <span><%- firstName %></span>
                <span><%- lastName %></span>
            </h4>
            <hr>
        </div>

        <!-- Setting -->
        <div class="setting-dashboard">
            <ul>
                <li><a href="#">صفحه اصلی سایت</a></li>
                <li><a href="http://localhost:1717/articles/">مشاهده مقالات</a></li>
                <li><a href="http://localhost:1717/profileUpdate/">ویرایش حساب کاربری</a></li>
                <li><a href="dashboard/logout">خروج</a></li>
            </ul>
        </div>

        <p class="copy-right">Copyright © 2020 Amin Alizadeh, All Rights Reserved</p>
    </div>

    <!-- Add new article -->
    <div class="articles-container back-gr">
        <h1 class="mb-4"><%= pageTitle %> </h1>
        <div class="alert alert-danger <%= collapse %>" role="alert">
            <%= errorMessage %>
        </div>

        <form name="articleForm-edit" enctype="multipart/form-data">
            <div class="form-group">
                <label for="title">عنوان:</label>
                <input type="text" name="title" id="title" class="form-control" value="<%- article.title %>">
            </div>

            <div class="form-group">
                <label for="description">خلاصه ای از مقاله:</label>
                <textarea name="description" id="description" class="form-control"><%- article.description %></textarea>
            </div>

            <div class="form-group">
                <label for="description">تصویر مقاله:</label>
                <input type="file" name="articlePic" class="file">
                <div class="input-group my-3">
                    <input type="text" class="form-control" disabled placeholder="Upload File" id="file">
                    <div class="input-group-append">
                        <button type="button" class="browse btn btn-primary">انتخاب تصویر</button>
                    </div>
                </div>
                <small>تصویر مقاله شما باید یکی از فرمت های JPEG,PNG,JPG باشد.</small>
                <div class="ml-2 col-sm-6">
                    <img src="<% if (typeof article.image == 'undefined' ) { %> <%= '' %> <% } else {%>
                        <%= article.image %> <% } %>" id="preview" class="img-thumbnail">

                </div>
            </div>
            <div class="form-group">

                <label>متن مقاله:</label>
                <myTextEditor>
                    <%- article.text %>
                </myTextEditor>

            </div>
            <div style="margin-top: 30px;">
                <button type="button" class="btn btn-primary" id="edit-article-btn">ویرایش</button>
                <a href="/articles" class="btn btn-secondary">انصراف</a>
            </div>

        </form>
    </div>

    <!-- Add new article end -->

    <!-- Bootstrap and Fontawsome scripts -->
    <%- include('./partials/essentialScripts.ejs') %>

    <!-- TinyMCE scripts -->
    <script src="https://cdn.tiny.cloud/1/yosihghcghrnfec5dwlf3m4o78t7b5zbe13afu7t1fr5xw1v/tinymce/5/tinymce.min.js"
        referrerpolicy="origin"></script>
    <script src="/javascripts/articles.js"></script>

    <!-- My script src -->
    <script src="/javascripts/editArticle.js"></script>
</body>

</html>